﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TDBContextMenuDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            c1TrueDBGrid1.DataSource = dt;
            c1TrueDBGrid1.ContextMenuStrip = contextMenuStrip1;
            contextMenuStrip1.Opening += ContextMenuStrip1_Opening;
        }

        private void ContextMenuStrip1_Opening(object sender, CancelEventArgs e)
        {
            MenuOpeningHandler(sender, e);
          //  e.Cancel = false ;
        }
        private void MenuOpeningHandler(object sender, CancelEventArgs e)
        {
            ContextMenuStrip contextMenuStrip = sender as ContextMenuStrip;
            contextMenuStrip.Items[1].Text = contextMenuStrip.Items[1].Text+"1";
            c1TrueDBGrid1.Columns[1].Value = c1TrueDBGrid1.Columns[1].Value + "1";
        }
    }
}
